com.independentsoft.exchange

## Class UserConfiguration

- java.lang.Object
- - com.independentsoft.exchange.UserConfiguration

-     public class UserConfiguration
      extends java.lang.Object

  Defines a single user configuration object.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserConfiguration()` Initializes a new instance of the UserConfiguration class.
    `UserConfiguration(UserConfigurationName name)` Initializes a new instance of the UserConfiguration class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getBinaryData()` Gets binary data property content for a user configuration object.
    `java.util.List<UserConfigurationDictionaryEntry>` | `getEntries()` Gets a set of dictionary property entries for a user configuration object.
    `ItemId` | `getItemId()` Gets the user configuration object item identifier.
    `UserConfigurationName` | `getName()` Gets the name of a user configuration object.
    `java.lang.String` | `getXmlData()` Gets XML data property content for a user configuration object.
    `void` | `setBinaryData(byte[] binaryData)` Sets binary data property content for a user configuration object.
    `void` | `setItemId(ItemId itemId)` Sets the user configuration object item identifier.
    `void` | `setName(UserConfigurationName name)` Sets the name of a user configuration object.
    `void` | `setXmlData(java.lang.String xmlData)` Sets XML data property content for a user configuration object.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UserConfiguration

          public UserConfiguration()

      Initializes a new instance of the UserConfiguration class.

    - #### UserConfiguration

          public UserConfiguration(UserConfigurationName name)

      Initializes a new instance of the UserConfiguration class.
      Parameters:
        `name` - the name

  - ### Method Detail

    - #### getName

          public UserConfigurationName getName()

      Gets the name of a user configuration object. This element must be used when you create a user configuration object.
      Returns:
        the name

    - #### setName

          public void setName(UserConfigurationName name)

      Sets the name of a user configuration object. This element must be used when you create a user configuration object.
      Parameters:
        `name` - the new name

    - #### getItemId

          public ItemId getItemId()

      Gets the user configuration object item identifier.
      Returns:
        the item id

    - #### setItemId

          public void setItemId(ItemId itemId)

      Sets the user configuration object item identifier.
      Parameters:
        `itemId` - the new item id

    - #### getEntries

          public java.util.List<UserConfigurationDictionaryEntry> getEntries()

      Gets a set of dictionary property entries for a user configuration object.
      Returns:
        the entries

    - #### getXmlData

          public java.lang.String getXmlData()

      Gets XML data property content for a user configuration object.
      Returns:
        the xml data

    - #### setXmlData

          public void setXmlData(java.lang.String xmlData)

      Sets XML data property content for a user configuration object.
      Parameters:
        `xmlData` - the new xml data

    - #### getBinaryData

          public byte[] getBinaryData()

      Gets binary data property content for a user configuration object.
      Returns:
        the binary data

    - #### setBinaryData

          public void setBinaryData(byte[] binaryData)

      Sets binary data property content for a user configuration object.
      Parameters:
        `binaryData` - the new binary data